WordPress 3.1提示 “在向 API 请求时发生了一个 HTTP 错误”的解决方法

在WordPress后台管理查找主题或者安装插件的时候,有时会遇到”在向 API 请求时发生了一个 HTTP 错误”。
这是因为网络连接超时引起的,或许是网络太慢。
WordPress 3.1提示 “在向 API 请求时发生了一个 HTTP 错误”的解决方法如下
修改:wp-includes/class-http.php文件中的第220行:

‘timeout’ => apply_filters( ‘http_request_timeout’, 5)

把代码里的5修改成60或者更大,这样出现错误提示的几率就会小很多。 不是每次都会出错,只是针对偶尔发生的。

评论

  1. 11年前
    2011-4-03 9:27:23

    我照文章修改了,但是还是不行,用的byethost的免费主机,是不是主机的原因呢?

    • 博主
      黄驹过隙
      11年前
      2011-4-05 1:44:50

      应该是免费空间的问题

  2. 11年前
    2011-3-17 14:34:03

    O(∩_∩)O谢谢 我遇到好多次了

    • 博主
      陈连龙
      11年前
      2011-3-18 2:39:33

      偶尔遇到不是常常遇到

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇